**English | [简体中文](Readme_zh.md)**

<h1 align="center"><a href="" target="_blank" rel="noopener noreferrer"><img width="250" src="https://www.swarmcloud.net/img/logo.png" alt="logo"></a></h1>
<h4 align="center">P2P SDK for MP4/WebM/MP3/WAV streaming, supporting all browsers and web players, with the help of ServiceWorker and WebRTC.</h4>
<p align="center">
  <a href="https://www.npmjs.com/package/swarmcloud-media"><img src="https://img.shields.io/npm/v/swarmcloud-media.svg?style=flat" alt="npm"></a>
  <a href="https://www.jsdelivr.com/package/npm/swarmcloud-media"><img src="https://data.jsdelivr.com/v1/package/npm/swarmcloud-media/badge" alt="jsdelivr"></a>
</p>

## Browser Support
WebRTC has already been incorporated into the HTML5 standard and it is broadly deployed in modern browsers. The compatibility of SwarmCloud depends on the browser support of WebRTC and Service Worker.

Compatibility|Chrome | Firefox | macOS Safari | Opera | Edge | iOS Safari | IE |
:-: | :-: | :-: | :-: | :-: | :-:| :-:| :-:
WebRTC Datachannel | ✔ | ✔  | ✔  |  ✔ | ✔ | ✔  |  ❌ |
Service Worker     | ✔ | ✔  | ✔  | ✔  | ✔ | ✔  |  ❌ |
SwarmCloud         | ✔ | ✔  | ✔  |  ✔ | ✔ |  ✔ |  ❌ |

## Usage
See [documentation](https://swarmcloud.net/en/views/media/usage.html)

## Related Projects
- [hlsjs-p2p-engine](https://github.com/cdnbye/hlsjs-p2p-engine) - Web Video Delivery Technology with No Plugins for hls.js.
- [dashjs-p2p-engine](https://github.com/cdnbye/dashjs-p2p-engine) - Web Video Delivery Technology with No Plugins for MPEG-dash.

## FAQ
We have collected some [frequently asked questions](https://www.hdtvcloud.com/en/views/FAQ.html). Before reporting an issue, please search if the FAQ has the answer to your problem.

## Contact Us
Email: service@cdnbye.com
<br>
Telegram: @cdnbye
<br>
Skype: live:86755838

